{{#supportPython2}}
#!/usr/bin/env python
{{/supportPython2}}
{{^supportPython2}}
#!/usr/bin/env python3
{{/supportPython2}}

import connexion

from flask_cors import CORS
from {{packageName}} import encoder

app = connexion.App(__name__, specification_dir='./openapi/')
app.app.json_encoder = encoder.JSONEncoder
app.add_api('openapi.yaml',
            arguments={'title': '{{appName}}'},
            pythonic_params=True)
CORS(app.app)

if __name__ == '__main__':
    app.run(port={{serverPort}})
